PooledDataSourceManager (c3p0-0.9.5.5 API Documentation)
Date: 2019-12-11

com.mchange.v2.c3p0.management

## Class PooledDataSourceManager

- java.lang.Object
- - com.mchange.v2.c3p0.management.PooledDataSourceManager

- All Implemented Interfaces:
    PooledDataSourceManagerMBean

      public class PooledDataSourceManager
      extends java.lang.Object
      implements PooledDataSourceManagerMBean

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PooledDataSourceManager(PooledDataSource pds)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `java.util.Collection` | `getAllUsers()`
    `java.lang.String` | `getDataSourceName()`
    `float` | `getEffectivePropertyCycle(java.lang.String username, java.lang.String password)`
    `float` | `getEffectivePropertyCycleDefaultUser()`
    `java.lang.String` | `getIdentityToken()`
    `int` | `getNumBusyConnections(java.lang.String username, java.lang.String password)`
    `int` | `getNumBusyConnectionsAllUsers()`
    `int` | `getNumBusyConnectionsDefaultUser()`
    `int` | `getNumConnections(java.lang.String username, java.lang.String password)`
    `int` | `getNumConnectionsAllUsers()`
    `int` | `getNumConnectionsDefaultUser()`
    `int` | `getNumIdleConnections(java.lang.String username, java.lang.String password)`
    `int` | `getNumIdleConnectionsAllUsers()`
    `int` | `getNumIdleConnectionsDefaultUser()`
    `int` | `getNumUnclosedOrphanedConnections(java.lang.String username, java.lang.String password)`
    `int` | `getNumUnclosedOrphanedConnectionsAllUsers()`
    `int` | `getNumUnclosedOrphanedConnectionsDefaultUser()`
    `int` | `getNumUserPools()`
    `int` | `getThreadPoolNumActiveThreads()`
    `int` | `getThreadPoolNumIdleThreads()`
    `int` | `getThreadPoolNumTasksPending()`
    `int` | `getThreadPoolSize()`
    `void` | `hardReset()`
    `java.lang.String` | `sampleThreadPoolStackTraces()`
    `java.lang.String` | `sampleThreadPoolStatus()`
    `void` | `setDataSourceName(java.lang.String dataSourceName)`
    `void` | `softReset(java.lang.String username, java.lang.String password)`
    `void` | `softResetAllUsers()`
    `void` | `softResetDefaultUser()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PooledDataSourceManager

          public PooledDataSourceManager(PooledDataSource pds)

  - ### Method Detail

    - #### getIdentityToken

          public java.lang.String getIdentityToken()

      Specified by:
        `getIdentityToken` in interface `PooledDataSourceManagerMBean`

    - #### getDataSourceName

          public java.lang.String getDataSourceName()

      Specified by:
        `getDataSourceName` in interface `PooledDataSourceManagerMBean`

    - #### setDataSourceName

          public void setDataSourceName(java.lang.String dataSourceName)

      Specified by:
        `setDataSourceName` in interface `PooledDataSourceManagerMBean`

    - #### getNumConnectionsDefaultUser

          public int getNumConnectionsDefaultUser()
                                           throws java.sql.SQLException

      Specified by:
        `getNumConnectionsDefaultUser` in interface `PooledDataSourceManagerMBean`
      Throws:
        `java.sql.SQLException`

    - #### getNumIdleConnectionsDefaultUser

          public int getNumIdleConnectionsDefaultUser()
                                               throws java.sql.SQLException

      Specified by:
        `getNumIdleConnectionsDefaultUser` in interface `PooledDataSourceManagerMBean`
      Throws:
        `java.sql.SQLException`

    - #### getNumBusyConnectionsDefaultUser

          public int getNumBusyConnectionsDefaultUser()
                                               throws java.sql.SQLException

      Specified by:
        `getNumBusyConnectionsDefaultUser` in interface `PooledDataSourceManagerMBean`
      Throws:
        `java.sql.SQLException`

    - #### getNumUnclosedOrphanedConnectionsDefaultUser

          public int getNumUnclosedOrphanedConnectionsDefaultUser()
                                                           throws java.sql.SQLException

      Specified by:
        `getNumUnclosedOrphanedConnectionsDefaultUser` in interface `PooledDataSourceManagerMBean`
      Throws:
        `java.sql.SQLException`

    - #### getEffectivePropertyCycleDefaultUser

          public float getEffectivePropertyCycleDefaultUser()
                                                     throws java.sql.SQLException

      Specified by:
        `getEffectivePropertyCycleDefaultUser` in interface `PooledDataSourceManagerMBean`
      Throws:
        `java.sql.SQLException`

    - #### getThreadPoolSize

          public int getThreadPoolSize()
                                throws java.sql.SQLException

      Specified by:
        `getThreadPoolSize` in interface `PooledDataSourceManagerMBean`
      Throws:
        `java.sql.SQLException`

    - #### getThreadPoolNumActiveThreads

          public int getThreadPoolNumActiveThreads()
                                            throws java.sql.SQLException

      Specified by:
        `getThreadPoolNumActiveThreads` in interface `PooledDataSourceManagerMBean`
      Throws:
        `java.sql.SQLException`

    - #### getThreadPoolNumIdleThreads

          public int getThreadPoolNumIdleThreads()
                                          throws java.sql.SQLException

      Specified by:
        `getThreadPoolNumIdleThreads` in interface `PooledDataSourceManagerMBean`
      Throws:
        `java.sql.SQLException`

    - #### getThreadPoolNumTasksPending

          public int getThreadPoolNumTasksPending()
                                           throws java.sql.SQLException

      Specified by:
        `getThreadPoolNumTasksPending` in interface `PooledDataSourceManagerMBean`
      Throws:
        `java.sql.SQLException`

    - #### sampleThreadPoolStackTraces

          public java.lang.String sampleThreadPoolStackTraces()
                                                       throws java.sql.SQLException

      Specified by:
        `sampleThreadPoolStackTraces` in interface `PooledDataSourceManagerMBean`
      Throws:
        `java.sql.SQLException`

    - #### sampleThreadPoolStatus

          public java.lang.String sampleThreadPoolStatus()
                                                  throws java.sql.SQLException

      Specified by:
        `sampleThreadPoolStatus` in interface `PooledDataSourceManagerMBean`
      Throws:
        `java.sql.SQLException`

    - #### softResetDefaultUser

          public void softResetDefaultUser()
                                    throws java.sql.SQLException

      Specified by:
        `softResetDefaultUser` in interface `PooledDataSourceManagerMBean`
      Throws:
        `java.sql.SQLException`

    - #### getNumConnections

          public int getNumConnections(java.lang.String username,
                                       java.lang.String password)
                                throws java.sql.SQLException

      Specified by:
        `getNumConnections` in interface `PooledDataSourceManagerMBean`
      Throws:
        `java.sql.SQLException`

    - #### getNumIdleConnections

          public int getNumIdleConnections(java.lang.String username,
                                           java.lang.String password)
                                    throws java.sql.SQLException

      Specified by:
        `getNumIdleConnections` in interface `PooledDataSourceManagerMBean`
      Throws:
        `java.sql.SQLException`

    - #### getNumBusyConnections

          public int getNumBusyConnections(java.lang.String username,
                                           java.lang.String password)
                                    throws java.sql.SQLException

      Specified by:
        `getNumBusyConnections` in interface `PooledDataSourceManagerMBean`
      Throws:
        `java.sql.SQLException`

    - #### getNumUnclosedOrphanedConnections

          public int getNumUnclosedOrphanedConnections(java.lang.String username,
                                                       java.lang.String password)
                                                throws java.sql.SQLException

      Specified by:
        `getNumUnclosedOrphanedConnections` in interface `PooledDataSourceManagerMBean`
      Throws:
        `java.sql.SQLException`

    - #### getEffectivePropertyCycle

          public float getEffectivePropertyCycle(java.lang.String username,
                                                 java.lang.String password)
                                          throws java.sql.SQLException

      Specified by:
        `getEffectivePropertyCycle` in interface `PooledDataSourceManagerMBean`
      Throws:
        `java.sql.SQLException`

    - #### softReset

          public void softReset(java.lang.String username,
                                java.lang.String password)
                         throws java.sql.SQLException

      Specified by:
        `softReset` in interface `PooledDataSourceManagerMBean`
      Throws:
        `java.sql.SQLException`

    - #### getNumBusyConnectionsAllUsers

          public int getNumBusyConnectionsAllUsers()
                                            throws java.sql.SQLException

      Specified by:
        `getNumBusyConnectionsAllUsers` in interface `PooledDataSourceManagerMBean`
      Throws:
        `java.sql.SQLException`

    - #### getNumIdleConnectionsAllUsers

          public int getNumIdleConnectionsAllUsers()
                                            throws java.sql.SQLException

      Specified by:
        `getNumIdleConnectionsAllUsers` in interface `PooledDataSourceManagerMBean`
      Throws:
        `java.sql.SQLException`

    - #### getNumConnectionsAllUsers

          public int getNumConnectionsAllUsers()
                                        throws java.sql.SQLException

      Specified by:
        `getNumConnectionsAllUsers` in interface `PooledDataSourceManagerMBean`
      Throws:
        `java.sql.SQLException`

    - #### getNumUnclosedOrphanedConnectionsAllUsers

          public int getNumUnclosedOrphanedConnectionsAllUsers()
                                                        throws java.sql.SQLException

      Specified by:
        `getNumUnclosedOrphanedConnectionsAllUsers` in interface `PooledDataSourceManagerMBean`
      Throws:
        `java.sql.SQLException`

    - #### softResetAllUsers

          public void softResetAllUsers()
                                 throws java.sql.SQLException

      Specified by:
        `softResetAllUsers` in interface `PooledDataSourceManagerMBean`
      Throws:
        `java.sql.SQLException`

    - #### getNumUserPools

          public int getNumUserPools()
                              throws java.sql.SQLException

      Specified by:
        `getNumUserPools` in interface `PooledDataSourceManagerMBean`
      Throws:
        `java.sql.SQLException`

    - #### getAllUsers

          public java.util.Collection getAllUsers()
                                           throws java.sql.SQLException

      Specified by:
        `getAllUsers` in interface `PooledDataSourceManagerMBean`
      Throws:
        `java.sql.SQLException`

    - #### hardReset

          public void hardReset()
                         throws java.sql.SQLException

      Specified by:
        `hardReset` in interface `PooledDataSourceManagerMBean`
      Throws:
        `java.sql.SQLException`

    - #### close

          public void close()
                     throws java.sql.SQLException

      Specified by:
        `close` in interface `PooledDataSourceManagerMBean`
      Throws:
        `java.sql.SQLException`